Bug 27487 - Rename system preference reviewson to OPACComments
Summary: Rename system preference reviewson to OPACComments
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: James O'Keeffe
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 10327
  Show dependency treegraph
 
Reported: 2021-01-20 03:13 UTC by Aleisha Amohia
Modified: 2021-06-14 21:35 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Text to go in the release notes:
This renames the existing system preference 'reviewson' to 'OPACComments' which better reflects its use.
Version(s) released in:
21.05.00


Attachments
Bug 27487: Rename system preference reviewson to OPACComments (7.67 KB, patch)
2021-01-21 21:40 UTC, James O'Keeffe
Details | Diff | Splinter Review
Bug 27487: Rename system preference reviewson to OPACComments (7.73 KB, patch)
2021-01-22 20:34 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 27487: Rename system preference reviewson to OPACComments (7.84 KB, patch)
2021-01-28 22:01 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2021-01-20 03:13:28 UTC
find all of the places in the code that refer to the 'reviewson' system preference and rename them to 'OPACComments'
write an atomic update to rename the reviewson system preference to OPACComments in the preferences table in the database
rename the reviewson syspref in sysprefs.sql

refer to bug 10328 for an example
Comment 1 James O'Keeffe 2021-01-21 21:40:37 UTC
Created attachment 115623 [details] [review]
Bug 27487: Rename system preference reviewson to OPACComments

This patch renames the reviewson system pref to OPACComments

Test Plan:
1. In Koha Administration, search for the reviewson system preferance
2. Note the presence of the reviewson system preferance
3. Apply the patch and run updatedatabase.pl
4. Repeat steps 1 and 2. The reviewson preferenace should be gone
5. Seach for and note the OPACComments system preferance
6. Ensure that the OPACComments system preferance operates correctly, as
if it were reviewson
Comment 2 Lucas Gass 2021-01-22 20:34:01 UTC
Created attachment 115713 [details] [review]
Bug 27487: Rename system preference reviewson to OPACComments

This patch renames the reviewson system pref to OPACComments

Test Plan:
1. In Koha Administration, search for the reviewson system preferance
2. Note the presence of the reviewson system preferance
3. Apply the patch and run updatedatabase.pl
4. Repeat steps 1 and 2. The reviewson preferenace should be gone
5. Seach for and note the OPACComments system preferance
6. Ensure that the OPACComments system preferance operates correctly, as
if it were reviewson

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2021-01-28 22:01:27 UTC
Created attachment 115995 [details] [review]
Bug 27487: Rename system preference reviewson to OPACComments

This patch renames the reviewson system pref to OPACComments

Test Plan:
1. In Koha Administration, search for the reviewson system preferance
2. Note the presence of the reviewson system preferance
3. Apply the patch and run updatedatabase.pl
4. Repeat steps 1 and 2. The reviewson preferenace should be gone
5. Seach for and note the OPACComments system preferance
6. Ensure that the OPACComments system preferance operates correctly, as
if it were reviewson

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=27484
Comment 4 Jonathan Druart 2021-01-29 08:00:10 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-02-05 15:32:17 UTC
Enhancement not pushed to 20.11.x